Bug 1118043 - Failed deletion of aci: no such attribute
Summary: Failed deletion of aci: no such attribute
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 21:54 UTC by Noriko Hosoi
Modified: 2015-03-05 09:37 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:37:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Noriko Hosoi 2014-07-09 21:54:47 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47806

I an IPA test the following error was detected.

setup master and replica, run ipa-ldap-updater on th ereplica
Do a search for the acis in an entry on the master (~ 100 returned)
Try to delete one specific aci, it fails with err=16

Restart the directory server, deletion succeeds

Comment 3 Noriko Hosoi 2014-10-21 16:51:16 UTC
Steps to verify.

0. Use DS installed as part of IPA
1. search the DS with attribute list "aci" to find out entries with multiple ACIs.
2. Pick one entry and delete the ACIs one by one as a directory manager.
3. If all the ACIs are successfully deleted, the fix is verified.

Ludwig, if these steps are not enough, please advice.
Thanks!!

Comment 4 Ludwig 2014-10-23 14:00:58 UTC
First thing is that the problem did only show up on a replica, so you need to add the acis on one server and try to delete on a replica
Next: after restart the problem does not occur, so the acis have to be added in the test
Then: The problem is dependent on the acis, not only the number, so it would be best to try to reproduce the problem on a previous version first

Comment 5 Viktor Ashirov 2015-01-30 17:04:49 UTC
$ rpm -qa | grep 389
389-ds-base-libs-1.3.3.1-13.el7.x86_64
389-ds-base-1.3.3.1-13.el7.x86_64
389-ds-base-debuginfo-1.3.3.1-13.el7.x86_64

I've setup IPA server and replica, ran ipa-ldap-updater on replica. 
Then I was able to remove acis (~200) from replica one by one from all entries that had multiple acis. 

Marking as VERIFIED.

Comment 7 errata-xmlrpc 2015-03-05 09:37:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.